content library item updatesession: warning behavior

The warning_behavior structure defines the session behavior if the warning is raised during the update session. This structure was added in vSphere API 6.8.

Representation:

{
    "ignored"true,
    "type""SELF_SIGNED_CERTIFICATE"
}

Attributes:

Name Type Description
Required
type string The warning type which may be raised during the update session. This attribute was added in vSphere API 6.8.

Defines the warnings which can be raised during the update session. This enumeration was added in vSphere API 6.8. Value is one of:
SELF_SIGNED_CERTIFICATE: The certificate used for signing the content is self-signed. This constant was added in vSphere API 6.8.
EXPIRED_CERTIFICATE: The certificate used for signing the content is expired. This constant was added in vSphere API 6.8.
NOT_YET_VALID_CERTIFICATE: The certificate used for signing the content is not yet valid. This constant was added in vSphere API 6.8.
UNTRUSTED_CERTIFICATE: The certificate used for signing the content is not trusted. This constant was added in vSphere API 6.8.

ignored boolean Indicates if this warning will be ignored during session complete operation. This attribute was added in vSphere API 6.8.